export default class HaikuContext {
    _entityIndex: any;
    _mount: any;
    _platform: any;
    _prng: any;
    _renderer: any;
    _tickables: any;
    _ticks: any;
    _unmountedTickables: any;
    clock: any;
    component: any;
    config: any;
    CORE_VERSION: any;
    PLAYER_VERSION: any;
    constructor(mount: any, renderer: any, platform: any, bytecode: any, config: any);
    getRootComponent(): any;
    getClock(): any;
    contextMount(): void;
    contextUnmount(): void;
    addTickable(tickable: any): void;
    removeTickable(tickable: any): void;
    assignConfig(config: any, options: any): void;
    render(): any;
    performFullFlushRender(): void;
    performPatchRender(skipCache?: boolean): void;
    updateMountRootStyles(): void;
    tick(skipCache?: boolean): void;
    getDeterministicRand(): any;
    getDeterministicTime(): any;
    getGlobalUserState(): any;
}
